<?php

namespace app\shared\controller\user;
use app\shared\logic\user\HouseOrderForm;
use app\shared\logic\user\HouseOrderDoorForm;

//会员卡管理
class HouseOrder{
	//列表
	public function list(){
		$form=new HouseOrderForm();
		return $form->list();
    }
	//民宿列表
	public function submit_preview(){
		$form=new HouseOrderForm();
		return $form->submit_preview();
	}
	//提交订单
    public function submit(){
    	$form=new HouseOrderForm();
		return $form->submit();
    }
    //支付订单
    public function orderPay(){
    	$form=new HouseOrderForm();
		return $form->orderPay();
    }
    //开房
    public function openRoom(){
    	$form=new HouseOrderForm();
		return $form->openRoom();
    }
    //详情
    public function details(){
    	$form=new HouseOrderForm();
		return $form->details();
    }
    //最新详情
    public function newDetails(){
        $form=new HouseOrderForm();
        return $form->newDetails();
    }
    //订单续单预览
    public function orderContinuePreview(){
         $form=new HouseOrderForm();
        return $form->orderContinuePreview();
    }
    //订单续单支付
    public function orderContinuePay(){
        $form=new HouseOrderForm();
        return $form->orderContinuePay();
    }
    //订单续单提交
    public function orderContinueSubmit(){
        $form=new HouseOrderForm();
        return $form->orderContinueSubmit();
    }
    //一键开锁
    public function oneKeyLock(){
        $form=new HouseOrderForm();
        return $form->oneKeyLock();
    }
    //取消订单
    public function cancelOrder(){
        $form=new HouseOrderForm();
        return $form->cancelOrder();
    }
    //即到即用提交
    public function thatIsSubmit(){
        $form=new HouseOrderForm();
        return $form->thatIsSubmit();
    }
    //开房
    public function openDoor(){
        $form=new HouseOrderDoorForm();
        return $form->openRoom();
    }
    //提前结束订单
    public function endOrdersEarly(){
        $form=new HouseOrderForm();
        return $form->endOrdersEarly();
    }
    //提前使用订单
    public function useOrdersEarly(){
         $form=new HouseOrderForm();
        return $form->useOrdersEarly();
    }
}